summaryrefslogtreecommitdiff
path: root/source4/script/tests/tests_all.sh
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2005-07-17 12:23:40 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:29:35 -0500
commit1735037d5f2b3dc1fa9f5d21721a7dc00c869172 (patch)
tree9cf024480ffec80df154c60872f069036ac34c93 /source4/script/tests/tests_all.sh
parent039393d6620816789b4ebd131974b23b6420f4dc (diff)
downloadsamba-1735037d5f2b3dc1fa9f5d21721a7dc00c869172.tar.gz
samba-1735037d5f2b3dc1fa9f5d21721a7dc00c869172.tar.bz2
samba-1735037d5f2b3dc1fa9f5d21721a7dc00c869172.zip
r8525: added two more test targets:
- 'make quicktest' for running only quick tests. Finishes in 20 seconds or so. - 'make valgrindtest' runs smbd under valgrind in a xterm window and runs the quick tests. Also disables tls as that slows down valgrind too much to be usable (This used to be commit af36bc401154d278dbe272628110634f62fdba25)
Diffstat (limited to 'source4/script/tests/tests_all.sh')
-rw-r--r--source4/script/tests/tests_all.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/source4/script/tests/tests_all.sh b/source4/script/tests/tests_all.sh
new file mode 100644
index 0000000000..2083abe796
--- /dev/null
+++ b/source4/script/tests/tests_all.sh
@@ -0,0 +1,9 @@
+ $SRCDIR/script/tests/test_ejs.sh localhost $USERNAME $PASSWORD || failed=`expr $failed + $?`
+ $SRCDIR/script/tests/test_ldap.sh localhost $USERNAME $PASSWORD || failed=`expr $failed + $?`
+ $SRCDIR/script/tests/test_quick.sh //localhost/cifs $USERNAME $PASSWORD "" || failed=`expr $failed + $?`
+ $SRCDIR/script/tests/test_rpc.sh localhost $USERNAME $PASSWORD $DOMAIN || failed=`expr $failed + $?`
+ $SRCDIR/script/tests/test_session_key.sh localhost $USERNAME $PASSWORD $DOMAIN || failed=`expr $failed + $?`
+ $SRCDIR/script/tests/test_binding_string.sh localhost $USERNAME $PASSWORD $DOMAIN || failed=`expr $failed + $?`
+ $SRCDIR/script/tests/test_echo.sh localhost $USERNAME $PASSWORD $DOMAIN || failed=`expr $failed + $?`
+ $SRCDIR/script/tests/test_posix.sh //localhost/tmp $USERNAME $PASSWORD "" || failed=`expr $failed + $?`
+ $SRCDIR/script/tests/test_local.sh || failed=`expr $failed + $?`